> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Lead: Propertyware

PUT https://api.propexo.com/v1/leads/propertyware/{lead_id}
Content-Type: application/json

Update Lead: Propertyware

| Method |
|---|
| createProspect |

Reference: https://docs.propexo.com/api-reference/propertyware-soap/leads/update-lead-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `lead_id` (string, required) — The Propexo unique identifier for the lead

### Body (application/json)

This endpoint expects a _v1_leads_propertyware_{lead_id}_put_input.

- `first_name` (string, optional) — The first name associated with the lead
- `last_name` (string, optional) — The last name associated with the lead
- `middle_name` (string, optional) — The middle name associated with the lead
- `email_1` (string, optional) — The primary email address associated with the lead
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `city` (string, optional) — The city associated with the lead
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `country` (string, optional) — The country associated with the lead
- `notes` (string, optional) — Notes associated with the lead
- `desired_num_bathrooms` (double, optional) — The desired number of bathrooms
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `number_of_occupants` (double, optional) — The number of occupants living in the unit
- `desired_max_rent_in_cents` (double, optional, nullable) — The maximum rent cost the lead is looking to pay, in cents
- `desired_min_rent_in_cents` (double, optional, nullable) — The minimum rent cost the lead is looking to pay, in cents
- `status_raw` (string, optional) — The raw status associated with the lead
- `desired_unit_type` (string, optional) — The desired type of unit

## Response

### 200

Successful response

- `meta` (V1LeadsPropertywareLeadIdPutOutputMeta, required)
- `result` (V1LeadsPropertywareLeadIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeadsPropertywareLeadIdPutOutputMeta

- `job_id` (string, required)

### V1LeadsPropertywareLeadIdPutOutputResult

- `lead_id` (string, required) — The Propexo unique identifier for the lead
- `first_name` (string, optional) — The first name associated with the lead
- `last_name` (string, optional) — The last name associated with the lead
- `middle_name` (string, optional) — The middle name associated with the lead
- `email_1` (string, optional) — The primary email address associated with the lead
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `city` (string, optional) — The city associated with the lead
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `country` (string, optional) — The country associated with the lead
- `notes` (string, optional) — Notes associated with the lead
- `desired_num_bathrooms` (double, optional) — The desired number of bathrooms
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `number_of_occupants` (double, optional) — The number of occupants living in the unit
- `desired_max_rent_in_cents` (double, optional, nullable) — The maximum rent cost the lead is looking to pay, in cents
- `desired_min_rent_in_cents` (double, optional, nullable) — The minimum rent cost the lead is looking to pay, in cents
- `status_raw` (string, optional) — The raw status associated with the lead
- `desired_unit_type` (string, optional) — The desired type of unit

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
  },
  "result": {
    "lead_id": "lead_1234567890abcdef",
    "first_name": "Emily",
    "last_name": "Johnson",
    "middle_name": "Grace",
    "email_1": "emily.johnson@example.com",
    "phone_1": "+14155552671",
    "phone_1_type": "MOBILE",
    "phone_2": "+14155552672",
    "phone_2_type": "WORK",
    "city": "San Francisco",
    "address_1": "123 Market St",
    "address_2": "Apt 4B",
    "state": "CA",
    "zip": "94105",
    "country": "USA",
    "notes": "Interested in a pet-friendly unit with parking.",
    "desired_num_bathrooms": 2,
    "desired_num_bedrooms": 3,
    "number_of_occupants": 2,
    "desired_max_rent_in_cents": 350000,
    "desired_min_rent_in_cents": 250000,
    "status_raw": "prospect",
    "desired_unit_type": "apartment"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/propertyware/lead_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/propertyware/lead_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/propertyware/lead_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/propertyware/lead_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/leads/propertyware/lead_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/leads/propertyware/lead_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/propertyware/lead_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/propertyware/lead_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```